| Haskell Hierarchical Libraries (base package) | Source code | Contents | Index
Control.Concurrent.QSem |
Portability | non-portable (concurrency)
Stability | experimental
Maintainer | libraries@haskell.org
Contents
Simple Quantity Semaphores
Description
Simple quantity semaphores.
Synopsis
data QSem
newQSem :: Int -> IO QSem
waitQSem :: QSem -> IO ()
signalQSem :: QSem -> IO ()
Simple Quantity Semaphores
data QSem
A `QSem` is a simple quantity semaphore, in which the available "quantity" is always dealt with in units of one.
Instances
Typeable QSem
newQSem :: Int -> IO QSem
Build a new `QSem`
waitQSem :: QSem -> IO ()
Wait for a unit to become available
signalQSem :: QSem -> IO ()
Signal that a unit of the `QSem` is available
Produced by Haddock version 0.8